package com.ejie.ab79.model.AB63;

import org.springframework.context.i18n.LocaleContextHolder;

import com.ejie.ab79.comun.Constantes;

/**
 * Grupos  
 * 
 *  
 */

public class Grupos implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String idGrupo;
	private String idTipoEstablecimiento;
	private String descripcionCastellano;
	private String descripcionEuskera;
	private Integer baja;
	private String usuarioRegistro;
	private String usuarioUltmodificacion;

	/**
	 * Method 'Grupos'.
	 */
	public Grupos() {
	}

	public Grupos(String idGrupo, String idTipoEstablecimiento) {
		this.idGrupo = idGrupo;
		this.idTipoEstablecimiento = idTipoEstablecimiento;
	}

	public Grupos(String idGrupo, String idTipoEstablecimiento, String descripcionCastellano, Integer baja, String descripcionEuskera) {

		this.idGrupo = idGrupo;
		this.idTipoEstablecimiento = idTipoEstablecimiento;
		this.descripcionCastellano = descripcionCastellano;
		this.baja = baja;
		this.descripcionEuskera = descripcionEuskera;
	}

	public String getIdGrupo() {
		return this.idGrupo;
	}


	public void setIdGrupo(String idGrupo) {
		this.idGrupo = idGrupo;
	}

	public String getIdTipoEstablecimiento() {
		return this.idTipoEstablecimiento;
	}

	public void setIdTipoEstablecimiento(String idTipoEstablecimiento) {
		this.idTipoEstablecimiento = idTipoEstablecimiento;
	}

	public String getDescripcionCastellano() {
		return this.descripcionCastellano;
	}

	public void setDescripcionCastellano(String descripcionCastellano) {
		this.descripcionCastellano = descripcionCastellano;
	}

	public String getDescripcionEuskera() {
		return this.descripcionEuskera;
	}

	public void setDescripcionEuskera(String descripcionEuskera) {
		this.descripcionEuskera = descripcionEuskera;
	}

	public Integer getBaja() {
		return this.baja;
	}

	public void setBaja(Integer baja) {
		this.baja = baja;
	}

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		// Clave compuesta

		result.append("[ idGrupo: ").append(this.idGrupo).append(" ]");

		result.append(", [ idTipoEstablecimiento: ").append(this.idTipoEstablecimiento).append(" ]");
		result.append(", [ descripcionCastellano: ").append(this.descripcionCastellano).append(" ]");
		result.append(", [ baja: ").append(this.baja).append(" ]");
		result.append(", [ descripcionEuskera: ").append(this.descripcionEuskera).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}

	public String getDescripcionDecorator() {
		if (LocaleContextHolder.getLocale().getLanguage().equalsIgnoreCase(Constantes.CASTELLANO)) {
			return this.descripcionCastellano;
		} else {
			return this.descripcionEuskera;
		}
	}
}
